GitHub, old (XP/S2003) browser support

Here you can discuss ReactOS related topics.

Moderator: Moderator Team

Post Reply
Serge Gautherie
Posts: 11
Joined: Mon Nov 07, 2016 3:29 am

GitHub, old (XP/S2003) browser support

Post by Serge Gautherie »

ReactOS targets Windows Server 2003 SP2, mainly.
I use Firefox ESR 52.9.0 on Windows XP. FF 53+ needs Win 7+.

It seems GitHub recently dropped basic support for at least this kind of old browsers.
For example, I can't edit my own PR comments or reply to a PR conversation, anymore.

Can anyone confirm similar experience? Maybe with different/similar browsers?
What is a current solution for daily use? (Linux with a more recent browser? In a VM?)

Even when ROS supports FF 52, that will not be enough anymore with regard to "self hosting" dev...

karlexceed
Posts: 500
Joined: Thu Jan 10, 2013 6:17 pm
Contact:

Re: GitHub, old (XP/S2003) browser support

Post by karlexceed »

I can't comment on the issue, as I haven't tried to recreate it, but found this article:
We do our best to support Firefox's latest Extended Support Release (ESR). Older versions of Firefox may disable some features on GitHub and require the latest version of Firefox.
https://help.github.com/articles/supported-browsers/

Serge Gautherie
Posts: 11
Joined: Mon Nov 07, 2016 3:29 am

Re: GitHub, old (XP/S2003) browser support

Post by Serge Gautherie »

Yes, this is what I am referring to, plus the reminder banner:

Code: Select all

Please note that GitHub no longer supports old versions of Firefox.
We recommend upgrading to the latest Safari, Google Chrome, or Firefox.
They give no technical details at all...
Last edited by Serge Gautherie on Sun Dec 09, 2018 4:46 pm, edited 1 time in total.

learn_more
Developer
Posts: 167
Joined: Fri Dec 19, 2014 10:00 pm

Re: GitHub, old (XP/S2003) browser support

Post by learn_more »

Serge Gautherie wrote:
Fri Dec 07, 2018 5:32 pm
ReactOS targets Windows Server 2003 SP2, mainly.
I use Firefox ESR 52.9.0 on Windows XP. FF 53+ needs Win 7+.

It seems GitHub recently dropped basic support for at least this kind of old browsers.
For example, I can't edit my own PR comments or reply to a PR conversation, anymore.

Can anyone confirm similar experience? Maybe with different/similar browsers?
What is a current solution for daily use? (Linux with a more recent browser? In a VM?)

Even when ROS supports FF 52, that will not be enough anymore with regard to "self hosting" dev...
ROS Targets 2k3, that does not mean it is a good idea to browse the web from stuff that old...

Serge Gautherie
Posts: 11
Joined: Mon Nov 07, 2016 3:29 am

Re: GitHub, old (XP/S2003) browser support

Post by Serge Gautherie »

learn_more wrote:
Fri Dec 07, 2018 8:24 pm
ROS Targets 2k3, that does not mean it is a good idea to browse the web from stuff that old...
I agree.
Nonetheless, that doesn't really answer questions with regard to community (now) or project (future).

Post Reply

Who is online

Users browsing this forum: No registered users and 14 guests